*,
*::after,
*::before {
  box-sizing: border-box;
}

img,
picture,
iframe,
canvas,
svg {
  max-width: 100%;
}

a {
  text-decoration: none;
}

html {
  height: 100%;
}
body {
  height: 100%;
  margin: 0;

  font-family: sans-serif;
}

.navibar {
  display: flex;
  justify-content: space-between;
  align-items: center;
  height: 70px;
  background-color: #313131;
}

.logo-container {
  margin-left: 16px;
  display: flex;
  align-items: center;
  width: 190px;
}

.text-logo {
  margin-left: 20px;
  color: white;
  font-size: 22px;
  font-style: normal;
  font-weight: 700;
  line-height: 30px;
  letter-spacing: 0px;
  text-align: center;
  list-style: none;
}

.logo {
  height: 100%;
}

.search {
  width: 70px;
  height: 70px;
  background-color: #000000;
}

.menu {
  display: flex;
  justify-content: space-around;
  margin-left: 10px;
  padding: 0;
}

.menu-item {
  margin-left: 40px;
  list-style: none;
}

.menu-link {
  color: white;
  font-size: 20px;
  font-style: normal;
  font-weight: 600;
  line-height: 20px;
  letter-spacing: 0px;
  text-align: right;
}

.search {
  width: 70px;
  height: 100%;
  padding: 27px;
}

.intro {
  display: flex;
  flex-wrap: wrap;
  justify-content: center;
  background-image: url(../images/header-background.jpg);
  background-color: #c7b39b;
  height: 370px;
  padding-top: 170px;
  padding-bottom: 75px;

  align-items: center;
}
.intro-header {
  width: 100%;
  color: white;
  margin: 0;
  font-size: 27px;
  font-style: normal;
  font-weight: 700;
  line-height: 37px;
  letter-spacing: 0px;
  text-align: center;
}

.intro-link {
  padding-bottom: 15px;
  padding-top: 15px;
  padding-left: 20px;
  padding-right: 20px;
  border-radius: 4px;
  border: 1px solid white;
  text-align: center;
  padding-top: 16px;
  color: white;
  margin-left: 20px;
}

.left-intro-link {
  background-color: #89ca62;
  border: 1px solid #89ca62;
}

.right-intro-link {
  background-color: #14b9d5;
  border: 1px solid #14b9d5;
}

.most-popular {
  display: flex;
  flex-wrap: wrap;
  flex-direction: column;
  justify-content: center;

  height: 1100px;

  background-color: #f2f2f2;
}

.most-popular-header {
  font-size: 27px;
  font-style: normal;
  font-weight: 700;
  line-height: 37px;
  text-align: center;
  padding-bottom: 0;
  color: #14b9d5;
  text-transform: uppercase;
  width: 100%;
}

.post-list {
  list-style: none;
  display: flex;

  height: 80%;
  width: 100%;
  flex-direction: column;
  flex-wrap: wrap;
  align-content: center;
  padding-left: 0px;
}

.post-list-item {
  background-color: #ffffff;
  margin: 15px;
}

.post-list-item:first-child {
  order: -2;
}
.post-list-item:nth-child(4) {
  order: -1;
}

.post-list-item:nth-child(3) {
  order: 2;
}

.post-list-item:nth-child(6) {
  order: 3;
}

.post-list-text {
  margin: 10px;
  font-size: 18px;
  font-style: normal;
  font-weight: 700;
  line-height: 25px;
  letter-spacing: 0px;
  text-align: center;
}

.our-most-popular-container {
  background-image: url(../images/Layer41.jpg);
  background-color: violet;
  height: auto;
  padding-bottom: 150px;
  padding-top: 100px;
  width: 100%;
  padding-top: 110px;
}
.our-most-popular-wrapper {
  display: grid;

  grid-template-columns: repeat(4, 200px);
  grid-template-rows: repeat(3, 1fr);
  justify-content: center;
  align-content: center;
  justify-items: center;
  align-items: center;
  column-gap: 25px;
}

.our-most-popular-title {
  color: white;
  text-transform: uppercase;
  font-size: 32px;
  font-style: normal;
  font-weight: 700;
  line-height: 44px;
  letter-spacing: 0px;
  align-self: center;
  grid-column: 1 / 5;
}

.our-most-popular-hr {
  border: 1px solid #18b4cf;
  background-color: #18b4cf;
  width: 80px;
  grid-column: 1 / 5;
}
.latest-post-thumbnails {
  width: 100%;
  grid-template-rows: repeat(2, 1fr);
}
.top-rated-list {
  list-style: none;
  padding: 0;
  display: grid;
  margin-left: auto;
  margin-right: auto;
  max-width: max-content;
  grid-template-columns: repeat(7, 1fr);
}

.latest-post-title {
  text-transform: uppercase;

  color: #18b4cf;
  font-size: 27px;
  font-style: normal;
  font-weight: 700;
  line-height: 37px;
  letter-spacing: 0px;
  text-align: center;
}

.most-liked-post-title {
  text-transform: uppercase;
  color: #18b4cf;
  font-size: 27px;
  font-style: normal;
  font-weight: 700;
  line-height: 37px;
  letter-spacing: 0px;
  text-align: center;
}
.most-liked-post-text {
  margin-right: 15px;
}
.most-liked-post-list {
  list-style: none;
  display: grid;
  grid-template-columns: repeat(4 minmax(100px max-content));
  grid-template-rows: repeat(4 min-content);
  text-align: right;
  padding: 0;
  column-gap: 20px;
  row-gap: 20px;
  justify-content: center;
  align-content: center;
  margin-left: auto;
  margin-right: auto;
  max-width: 1100px;
}

.liked-post-item-title {
  font-size: 18px;
  font-style: normal;
  font-weight: 700;
  line-height: 25px;
  letter-spacing: 0px;
  margin-right: 15px;
}

.most-liked-post-item {
  background-color: #f9f7f7;
  padding: 10px;
}

.most-liked-post-list :nth-child(1) {
  grid-column: 1 / 4;
  float: left;
}

.most-liked-post-list :nth-child(3) {
  grid-column: 1 / 3;
}
.most-liked-post-list :nth-child(4) {
  grid-column: 3 / 5;
}

.most-liked-post-list :nth-child(5) {
  grid-column: 1 / 3;
}
.most-liked-post-list :nth-child(6) {
  grid-column: 3 / 5;
}

.most-liked-post-list :nth-child(8) {
  grid-column: 2 / 5;
  float: left;
}

.footer-container {
  width: 100%;
  padding-bottom: 20px;
  padding-top: 20px;
  background-color: black;
  display: grid;
  grid-template-columns: repeat(2, 1fr);
  justify-items: center;
  align-items: center;
}
.footer-text {
  color: white;
  font-size: 13px;
  font-style: normal;
  font-weight: 400;
  line-height: 13px;
  letter-spacing: 0px;
  text-align: right;
}
